Subject: Signal Handling in cygwin-1.3.6
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 31 Jan 2002 16:22:32 +0100

Dear Sirs,

I just started to use the cygwin package (cygwin-1.3.6 installed on 7th of
january 2002). I detected the problem, that I cannot kill a program with
kill -1 pid or control+c where I installed a signalhandler for the
following signals

#ifndef WIN32
  signal(SIGHUP, (void (*)(int)) signalhandler);
  signal(SIGQUIT, (void (*)(int)) signalhandler);
#endif
  signal(SIGINT, (void (*)(int)) signalhandler);

The function "signalhandler()" stores some simulation results. On UNIX this
works fine, on WindowsNT/2000 from a DOS Shell it works also. Only from the
Cygwin Shell the function is not called.

Is this (signal handling) a known bug?
Is it already fixed in cygwin-1.3.9 from 21st of january 2002?

Kind regards

Dierk Wendt
--------------------------------------------------------
Dierk Wendt
Hella KG Hueck & Co.
Corporate Research & Development -
Computer Aided Lighting (CRD-CAL)
Rixbecker Str. 75
59552 Lippstadt
Germany

phone: +49 (0) 2941 38 7614
fax:        +49 (0) 2941 38 1566
email: [email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/